time(1)

NUME
time - cronometrează o comandă simplă sau raportează resursele folosite

SINOPSIS
time [opțiune ...] comanda [argument ...]

DESCRIERE
Comanda time rulează programul specificat comanda cu argumentele furnizate. Când comanda termină, time scrie un mesaj la ieșirea standard dând statistici legate de durata rulării acestui program. Statisticile consistă din (i) timpul real scurs între lansare și terminare, (ii) timpul CPU utilizator (suma dintre valorile tms_utime și .tms_cutime dintr-o structură struct tms așa cum este returnată de times(2)), și (iii) timpul CPU sistem (suma dintre valorile tms_stime și tms_cstime dintr-o structură struct tms așa cum este returnată de times(2)).

Notă: unele shell-uri (de exemplu, bash(1)) au o comandă încorporată time care oferă informații similare privind utilizarea timpului și, eventual, a altor resurse. Pentru a accesa comanda reală, este posibil să fie necesar să specificați ruta de acces a acesteia (ceva precum /usr/bin/time).

OPȚIUNI

-p  Când se află în localizarea POSIX, utilizează formatul tradițional precis

        "real %f\nuser %f\nsys %f\n"

    (cu numere în secunde), unde numărul de zecimale în ieșirea pentru %f este nespecificat, dar este suficient pentru a exprima cu precizie ticăitul ceasului.

STARE DE IEȘIRE
Dacă a fost invocată comanda, starea de ieșire este cea a comenzii. În caz contrar, este 127 dacă comanda nu a putut fi găsită, 126 dacă a putut fi găsită, dar nu a putut fi invocată, și o altă valoare diferită de zero (1–125) dacă altceva a mers prost.

MEDIU
Variabilele LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, LC_NUMERIC și NLSPATH sunt utilizate pentru textul și formatarea ieșirii. PATH este utilizată pentru a căuta comanda.

VERSIUNEA GNU
Mai jos urmează o descriere a versiunii 1.7 a lui time. Fără a ține cont de numele instrumentului, GNU face ca acesta să emită o mulțime de informații utile, nu numai despre timpul utilizat, ci și despre alte resurse, cum ar fi memoria, In/Ieș și apelurile IPC (acolo unde sunt disponibile). Ieșirea este formatată folosind un șir de formatare ce poate fi specificat folosind opțiunea -f sau variabila de mediu TIME.

Șirul de formatare implicit este:

    %Uuser %Ssystem %Eelapsed %PCPU (%Xtext+%Ddata %Mmax)k
    %Iinputs+%Ooutputs (%Fmajor+%Rminor)pagefaults %Wswaps

Când este dată opțiunea -p este folosit formatul de ieșire (portabil):

    real %e
    user %U
    sys %S

  Șirul de formatare
Formatul este interpretat în mod obișnuit, ca în cazul printf(3. Caracterele ordinare sunt copiate direct, tabulatorul, linia nouă și bara inversată sunt eludate folosind \t, \n și \\, un caracter procent este reprezentat de %%, iar altfel % indică o conversie. Programul time va adăuga întotdeauna un caracter de linie-nouă. Urmat de conversiile făcute. Sunt acceptate toate conversiile folosite de tcsh(1).

Timp

%E  Timp real scurs (în [ore:]minute:secunde).

%e  (Nu în tcsh(1).) Timp real scurs (în secunde).

%S  Numărul total de secunde-CPU petrecut de proces în modul nucleu.

%U  Numărul total de secunde-CPU petrecut de proces în modul utilizator.

%P  Procentajul din CPU obținut de program, calculat ca (%U + %S) / %E.

Memorie

%M  Dimensiunea maximă rezidentă a procesului (în memoria fizică) în timpul rulării, în Kocteți.

%t  (Nu în tcsh(1).) Dimensiunea medie rezidentă a procesului (în memoria fizică), în Kocteți.

%K  Memoria totală medie (date+stivă+text) folosită de proces, în Kocteți.

%D  Dimensiunea medie a spațiului de date nepartajat, în Kocteți.

%p  (Nu în tcsh(1).) Dimensiunea medie a spațiului de stivă nepartajat, în Kocteți.

%X  Dimensiunea medie a spațiului de text împărțit partajat, în Kocteți.

%Z  (Nu în tcsh(1).) Dimensiunea paginii sistemului, în octeți. Aceasta este o constantă ce depinde de sistem, dar diferă de la un sistem la altul.

%F  Numărul de erori de paginare majore care au avut loc în timp ce a rulat procesul. Acestea sunt erori unde pagina trebuie citită de pe disc.

%R  Numărul de erori de paginare minore, sau corectabile. Acestea sunt erori unde pagini care nu sunt valide dar care nu au fost încă recuperate de alte pagini virtuale. Prin urmare, datele din pagină sunt încă valide dar tabelele de sistem trebuie actualizate.

%W  De câte ori a fost programul scos din memoria principală.

%c  De câte ori a fost schimbat involuntar contextul procesului (din cauză că felia de timp a expirat).

%w  Numărul de așteptări: de câte ori a fost schimbat voluntar contextul procesului, de exemplu așteptând să termine o operațiune de In/Ieș.

In/Ieș

%I  Numărul de citiri din sistemul de fișiere de către proces.

%O  Numărul de scrieri în sistemul de fișiere de către proces.

%r  Numărul de mesaje de soclu primite de proces.

%s  Numărul de mesaje de soclu trimise de proces.

%k  Numărul de semnale trimise procesului.

%C  (Nu în tcsh(1).) Numele și argumentele liniei de comandă pentru comanda cronometrată.

%x  (Nu în tcsh(1).) Codul stării de ieșire a comenzii.

  OPȚIUNI GNU

-f format, --format=format
    Specifică formatul de ieșire, substituind posibil formatul specificat de variabila de mediu TIME.

-p, --portability
    Folosește formatul de ieșire portabil.

-o fișier, --output=fișier
    Nu trimite rezultatele la ieșirea de eroare standard (stderr), ci suprascrie fișierul specificat.

-a, --append
    (Folosită împreună cu -o.) Nu suprascrie ci adaugă la conținutul fișierului.

-v, --verbose
    Generează ieșire foarte amănunțită despre tot ceea ce știe programul.

-q, --quiet
    Nu raportează terminarea anormală a programului (în cazul în care comanda este terminată de un semnal) sau starea de ieșire este diferită de zero.

  OPȚIUNI STANDARD GNU

--help
    Afișează un mesaj de utilizare la ieșirea standard și iese cu succes.

-V, --version
    Afișează informații despre versiune la ieșirea standard, apoi termină cu succes.

--  Încheie lista de opțiuni.

ERORI
Nu toate resursele sunt măsurate de toate versiunile de Unix, așa că unele valori pot fi raportate ca zero. Selecția prezentată a fost inspirată mai ales de datele prezentate de BSD 4.2 și 4.3.

GNU time versiunea 1.7 nu este încă localizat. Prin urmare, acesta nu implementează cerințele POSIX.

Variabila de mediu TIME a fost neinspirat aleasă. Nu este neobișnuit ca sisteme ca autoconf(1) sau make(1) să folosească variabile de mediu cu numele unui utilitar care substituie utilitarul ce trebuie folosit. Folosind MORE sau TIME ca opțiuni pentru programe (în loc de numele căi programelor) tinde să conducă la dificultăți.

Pare regretabil că -o suprascrie în loc să adauge. (Adică, opțiunea -a ar trebui să fie cea implicită.)

Trimiteți sugestii și rapoarte de erori pentru GNU time la bug-time@gnu.org. Vă rugăm să includeți versiunea de time, pe care o puteți afla rulând

    time --version

și sistemul de operare și compilatorul C pe care l-ați folosit.

CONSULTAȚI ȘI
bash(1), tcsh(1), times(2), wait3(2)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.